Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.book
Class BooksComboBoxModel

    java.lang.Object
      javax.swing.AbstractListModel
          org.crosswire.bibledesktop.book.BooksListModel
              org.crosswire.bibledesktop.book.BooksComboBoxModel

All Implemented Interfaces:
  Serializable, ComboBoxModel, ListModel

    public class BooksComboBoxModel

extends BooksListModel
implements ComboBoxModel

The BibleModels class implements a number of swing DataModels and gives access to the list of current Bibles.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.crosswire.bibledesktop.book.BooksListModel
`BooksListModel.CustomListDataListener`

Field Summary
`protected Book` | `current` The currently selected version
`private static long` | `serialVersionUID` Serialization ID

Fields inherited from class org.crosswire.bibledesktop.book.BooksListModel
`books`

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`BooksComboBoxModel()` Basic Constructor
`BooksComboBoxModel(BookFilter filter)` Basic Constructor

Method Summary
`Book` | `getSelectedBook()` Get the selected Bible
`Object` | `getSelectedItem()`
`protected void` | `postCacheData()`
`void` | `setSelectedItem(Object selected)`
`private void` | `tryInitialSelection(Book book)`

Methods inherited from class org.crosswire.bibledesktop.book.BooksListModel
`addListDataListener, cacheData, fireContentsChanged, getElementAt, getIndexOf, getSize, removeListDataListener, setFilter`

Methods inherited from class javax.swing.AbstractListModel
`fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.ListModel
`addListDataListener, getElementAt, getSize, removeListDataListener`

Field Detail

### current

    protected transient Book current

  The currently selected version

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### BooksComboBoxModel

    public BooksComboBoxModel()

  Basic Constructor

### BooksComboBoxModel

    public BooksComboBoxModel(BookFilter filter)

  Basic Constructor

Method Detail

### tryInitialSelection

    private void tryInitialSelection(Book book)

  Parameters:
    `book` -

### setSelectedItem

    public void setSelectedItem(Object selected)

  Specified by:
    `setSelectedItem` in interface `ComboBoxModel`

### getSelectedItem

    public Object getSelectedItem()

  Specified by:
    `getSelectedItem` in interface `ComboBoxModel`

### getSelectedBook

    public Book getSelectedBook()

  Get the selected Bible

  Returns:
    A Bible

### postCacheData

    protected final void postCacheData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD